<?php
/*                                                    */

#    
function debug_log($text) {
    
	global $debug, $log;
	
	if ($debug) {
		if($file = fopen($log, 'a+')){
		  fwrite($file, date("Y-m-d H:i:s")." ".$text."\n");
		  fclose($file);
		}
	}
}
#-----------------------------------------------------------------------------#

#   
function http_sent_response($body, $body_size, $content_type = "") {
	
	if ($body_size == 0) {
		header("HTTP/1.0 404 Not Found");
		header('Content-type: text/html');
		header('Connection: Close');
		print "Data Not Found!";
	}
	else {
		if ($content_type != "") {
			header('Content-type: '.$content_type);
		}
		header('Content-Length: '.$body_size);
		header('Connection: Close');
		header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
		print $body;
	}
}
#-----------------------------------------------------------------------------#

#    
function hdd_read($full_path) {
	
	if ( file_exists($full_path) ) {
		$data_size = filesize($full_path);
		$file = fopen($full_path,'rb');
		$data = fread($file, $data_size);
		fclose($file);
	}
	else {
		$data = "";
		$data_size = 0;
	}
	return array ($data, $data_size);
}
#-----------------------------------------------------------------------------#

?>